#include "autorizationdialog.h"

AutorizationDialog::AutorizationDialog(QWidget* parent) :
    QDialog(parent)
{
    m_loginLabel = new QLabel("Логин:", this);
    m_passwordLabel = new QLabel("Пароль:", this);
    m_loginLineEdit = new QLineEdit(this);
    m_passwordLineEdit = new QLineEdit(this);
    m_passwordLineEdit->setEchoMode(QLineEdit::Password);
    m_OKButton = new QPushButton("OK", this);
    m_cancelButton = new QPushButton("Отмена", this);

    m_labelsLayout = new QVBoxLayout;
    m_labelsLayout->addWidget(m_loginLabel);
    m_labelsLayout->addWidget(m_passwordLabel);

    m_linesEditLayout = new QVBoxLayout;
    m_linesEditLayout->addWidget(m_loginLineEdit);
    m_linesEditLayout->addWidget(m_passwordLineEdit);

    m_autorizationLayout = new QHBoxLayout;
    m_autorizationLayout->addLayout(m_labelsLayout);
    m_autorizationLayout->addLayout(m_linesEditLayout);

    m_buttonsLayout = new QHBoxLayout;
    m_buttonsLayout->addWidget(m_OKButton);
    m_buttonsLayout->addWidget(m_cancelButton);

    m_mainLayout = new QVBoxLayout;
    m_mainLayout->addLayout(m_autorizationLayout);
    m_mainLayout->addLayout(m_buttonsLayout);

    setLayout(m_mainLayout);

    connect(m_OKButton, &QPushButton::clicked, this, &AutorizationDialog::slotClickedOKButton);
    connect(m_cancelButton, &QPushButton::clicked, this, &AutorizationDialog::slotClickedCancelButton);
}

AutorizationDialog::~AutorizationDialog()
{
}

QString AutorizationDialog::getUser()
{
    return m_loginLineEdit->text();
}

QString AutorizationDialog::getPassword()
{
    return m_passwordLineEdit->text();
}

void AutorizationDialog::slotClickedOKButton()
{
    emit accept();
}

void AutorizationDialog::slotClickedCancelButton()
{
    emit reject();
}
