#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QSqlDatabase>

class DataBaseSettings
{
public:
    static const QString type;
    static const QString hostname;
    static const QString name;
};

class UsersTable
{
public:

    enum EColumn
    {
        E_COLUMN__BEGIN = 0,
        E_COLUMN_ID = E_COLUMN__BEGIN,
        E_COLUMN_USER,
        E_COLUMN_PASSWORD_HASH,
        E_COLUMN__END
    };

    static const QString tableName;

    static const QString id;
    static const QString user;
    static const QString passwordHash;
};

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = 0);
    ~Widget();

private:
    QLabel* m_label;
    QPushButton* m_autorizeButton;
    QPushButton* m_cancelButton;
    QHBoxLayout* m_buttonsLayout;
    QVBoxLayout* m_mainLayout;

    QSqlDatabase db;

private slots:
    void slotAutorize();
};

#endif // WIDGET_H
